## krfb 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(krfb VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION 5.15.2)
set(KF5_MIN_VERSION 5.91.0)

find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(FeatureSummary)
include(CheckIncludeFile)

check_include_file("linux/input.h" HAVE_LINUX_INPUT_H)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets X11Extras)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Config
    CoreAddons
    Crash
    DBusAddons
    DNSSD
    DocTools
    Notifications
    Wallet
    WidgetsAddons
    WindowSystem
    XmlGui
)

find_package(X11 REQUIRED)

find_package(XCB REQUIRED COMPONENTS
    XCB
    RENDER
    SHAPE
    XFIXES
    DAMAGE
    SHM
    IMAGE
)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.91
)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

find_package(LibVNCServer REQUIRED)


option(DISABLE_PIPEWIRE "Disable PipeWire support." OFF)
if(NOT DISABLE_PIPEWIRE)
    pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3)
endif()
add_feature_info(PipeWire PipeWire_FOUND "Required for pipewire screencast plugin")
find_package(PlasmaWaylandProtocols 1.5.0)

if(PipeWire_FOUND AND PlasmaWaylandProtocols_FOUND)
    find_package(KF5Wayland ${KF5_MIN_VERSION})
    find_package(QtWaylandScanner REQUIRED)
    find_package(Qt5WaylandClient)
    find_package(Qt5XkbCommonSupport)
    find_package(Wayland REQUIRED COMPONENTS Client)
endif()

find_package(gbm)
set_package_properties(gbm PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
)

find_package(EGL)
set_package_properties(EGL PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
)

find_package(epoxy)
set_package_properties(epoxy PROPERTIES DESCRIPTION "libepoxy"
    URL "https://github.com/anholt/libepoxy"
    TYPE OPTIONAL
    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
)

if(EGL_FOUND AND gbm_FOUND AND epoxy_FOUND)
  set (HAVE_DMA_BUF TRUE)
else()
  set (HAVE_DMA_BUF FALSE)
endif()

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KRFB
                  VERSION_HEADER "krfb_version.h")

include_directories ("${CMAKE_CURRENT_BINARY_DIR}/krfb"
                     "${CMAKE_CURRENT_SOURCE_DIR}/krfb"
                     "${CMAKE_CURRENT_SOURCE_DIR}/krfb/ui"
)

add_subdirectory(events)
add_subdirectory(krfb)
add_subdirectory(framebuffers)
add_subdirectory(doc)
add_subdirectory(icons)

ki18n_install(po)
kdoctools_install(po)

ecm_qt_install_logging_categories(
    EXPORT KRFB
    FILE krfb.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== events/xdp/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}
)

set (krfb_events_xdp_SRCS
     xdpevents.cpp
     xdpeventsplugin.cpp
)

qt5_add_dbus_interface(
   krfb_events_xdp_SRCS
   ${CMAKE_SOURCE_DIR}/dbus/xdp_dbus_remotedesktop_interface.xml
   xdp_dbus_remotedesktop_interface
)

add_library (krfb_events_xdp MODULE ${krfb_events_xdp_SRCS})

target_link_libraries (krfb_events_xdp
                       KF5::CoreAddons
                       KF5::I18n
                       Qt5::DBus
                       krfbprivate
)
set_target_properties(krfb_events_xdp PROPERTIES OUTPUT_NAME xdp)

install (TARGETS krfb_events_xdp
         DESTINATION ${KDE_INSTALL_PLUGINDIR}/krfb/events
)

=== framebuffers/pipewire/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}
)

set (krfb_framebuffer_pw_SRCS
     pw_framebuffer.cpp
     pw_framebufferplugin.cpp

     screencasting.cpp
)

ecm_add_qtwayland_client_protocol(krfb_framebuffer_pw_SRCS
    PROTOCOL ${PLASMA_WAYLAND_PROTOCOLS_DIR}/screencast.xml
    BASENAME zkde-screencast-unstable-v1
)

ecm_qt_declare_logging_category(krfb_framebuffer_pw_SRCS
    HEADER krfb_fb_pipewire_debug.h
    IDENTIFIER KRFB_FB_PIPEWIRE
    CATEGORY_NAME krfb.framebuffer.pipewire
    DESCRIPTION "KRFB PipeWire framebuffer plugin"
    EXPORT KRFB
)

qt5_add_dbus_interface(
   krfb_framebuffer_pw_SRCS
   ${CMAKE_SOURCE_DIR}/dbus/xdp_dbus_screencast_interface.xml
   xdp_dbus_screencast_interface
)

qt5_add_dbus_interface(
   krfb_framebuffer_pw_SRCS
   ${CMAKE_SOURCE_DIR}/dbus/xdp_dbus_remotedesktop_interface.xml
   xdp_dbus_remotedesktop_interface
)

add_library(krfb_framebuffer_pw
    MODULE
    ${krfb_framebuffer_pw_SRCS}
)
set_property(TARGET krfb_framebuffer_pw PROPERTY C_STANDARD 99)

target_link_libraries(krfb_framebuffer_pw
                      Qt5::Core
                      Qt5::Gui
                      Qt5::DBus
                      KF5::CoreAddons
                      KF5::WaylandClient
                      Wayland::Client
                      krfbprivate
                      PkgConfig::PipeWire
)

if (HAVE_DMA_BUF)
    target_link_libraries(krfb_framebuffer_pw
                          ${epoxy_LIBRARIES}
                          gbm::gbm
    )
endif()

set_target_properties(krfb_framebuffer_pw PROPERTIES OUTPUT_NAME pw)
install (TARGETS krfb_framebuffer_pw
         DESTINATION ${KDE_INSTALL_PLUGINDIR}/krfb/framebuffer
)

=== framebuffers/qt/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}
)

set (krfb_framebuffer_qt_SRCS
     qtframebuffer.cpp
     qtframebufferplugin.cpp
)

ecm_qt_declare_logging_category(krfb_framebuffer_qt_SRCS
    HEADER krfb_fb_qt_debug.h
    IDENTIFIER KRFB_FB_QT
    CATEGORY_NAME krfb.framebuffer.qt
    DESCRIPTION "KRFB Qt framebuffer plugin"
    EXPORT KRFB
)

add_library(krfb_framebuffer_qt
 MODULE 
                 ${krfb_framebuffer_qt_SRCS}
)

target_link_libraries (krfb_framebuffer_qt
                       Qt5::Core
                       Qt5::Gui
                       KF5::CoreAddons
                       krfbprivate
)

set_target_properties(krfb_framebuffer_qt PROPERTIES OUTPUT_NAME qt)
install (TARGETS krfb_framebuffer_qt
         DESTINATION ${KDE_INSTALL_PLUGINDIR}/krfb/framebuffer
)

=== debian/changelog ===
krfb (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:58 +0100

krfb (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:38:59 +0100

krfb (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:51 +0100

krfb (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:03 +0100

krfb (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Mar 2022 23:12:36 +0100

krfb (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:24:47 +0900

krfb (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:45:56 +0900

=== debian/control ===
Source: krfb
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libjpeg-dev,
               libkf5config-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5crash-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5dnssd-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5notifications-dev (>= 5.91.0~),
               libkf5wallet-dev (>= 5.91.0~),
               libkf5wayland-dev (>= 4:5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libpipewire-0.3-dev [linux-any],
               libqt5x11extras5-dev (>= 5.15.2~),
               libvncserver-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxdamage-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               plasma-wayland-protocols (>= 1.5.0),
               qtbase5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/krfb
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krfb
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krfb.git
Rules-Requires-Root: no

Package: krfb
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: khelpcenter, krdc,
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

## krfb 23.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})
@@ -73,42 +73,17 @@
 
 option(DISABLE_PIPEWIRE "Disable PipeWire support." OFF)
 if(NOT DISABLE_PIPEWIRE)
-    pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3)
+    find_package(KPipeWire REQUIRED)
 endif()
-add_feature_info(PipeWire PipeWire_FOUND "Required for pipewire screencast plugin")
+add_feature_info(PipeWire KPipeWire_FOUND "Required for pipewire screencast plugin")
 find_package(PlasmaWaylandProtocols 1.5.0)
 
-if(PipeWire_FOUND AND PlasmaWaylandProtocols_FOUND)
+if(KPipeWire_FOUND AND PlasmaWaylandProtocols_FOUND)
     find_package(KF5Wayland ${KF5_MIN_VERSION})
     find_package(QtWaylandScanner REQUIRED)
     find_package(Qt5WaylandClient)
     find_package(Qt5XkbCommonSupport)
     find_package(Wayland REQUIRED COMPONENTS Client)
-endif()
-
-find_package(gbm)
-set_package_properties(gbm PROPERTIES
-    TYPE OPTIONAL
-    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
-)
-
-find_package(EGL)
-set_package_properties(EGL PROPERTIES
-    TYPE OPTIONAL
-    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
-)
-
-find_package(epoxy)
-set_package_properties(epoxy PROPERTIES DESCRIPTION "libepoxy"
-    URL "https://github.com/anholt/libepoxy"
-    TYPE OPTIONAL
-    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
-)
-
-if(EGL_FOUND AND gbm_FOUND AND epoxy_FOUND)
-  set (HAVE_DMA_BUF TRUE)
-else()
-  set (HAVE_DMA_BUF FALSE)
 endif()
 
 ecm_setup_version(PROJECT

=== debian/changelog ===
krfb (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:43 +0100

krfb (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:38:12 +0100

krfb (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:43 +0100

krfb (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkpipewire-dev to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:46 +0100

krfb (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:20 +0000

krfb (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:23:31 -0600

krfb (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)
  * Add optional build deps indicated by cmake. libepoxy-dev, libgbm-
    dev, libqt5waylandclient5-dev (for Qt5WaylandClient) and qtbase5-
    private-dev (for Qt5XkbCommonSupport).

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:18:09 +0000

krfb (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 13:44:55 +0000

krfb (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:50 +0000

krfb (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:10:05 +0000

krfb (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:14 +0000

krfb (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:13:04 +0000

## krfb 23.08.1

=== debian/changelog ===
krfb (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:40 +0100

## krfb 23.8.2

=== debian/changelog ===
krfb (4:23.8.2-deepin) unstable; urgency=medium

  * Maintainer upload
  * New upstream release

 -- xiangzelong <xiangzelong@deepin.org>  Thu, 19 Oct 2023 16:57:15 +0800

krfb (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Re-export upstream signing key without extra signatures.
  * Backport upstream commit 01c775f2e89b705d8375c0ccc0543fc82be53414 to
    hook up keyevents on Wayland; patch
    upstream_Hook-up-keyevents-on-Wayland.patch (Closes: #1032595)
  * Fix building on non-Linux architectures, by limiting the Wayland support
    to Linux architectures:
    - restrict some build dependencies as linux-any: libkf5wayland-dev,
      libwayland-dev, plasma-wayland-protocols, and qtwayland5-dev-tools
  * Add more build dependencies to enable the dma-buf support in the pipewire
    screencast plugin: libegl-dev, libepoxy-dev, libgbm-dev.
  * Add more build dependencies related to the Wayland support:
    libqt5waylandclient5-dev, and qtbase5-private-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Mar 2023 07:23:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: krfb
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-           Sune Vuorela <sune@debian.org>,
+Maintainer: xiangzelong <xiangzelong@deepin.org>
+Uploaders: xiangzelong <xiangzelong@deepin.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
                gettext,
+               libegl-dev,
+               libepoxy-dev,
+               libgbm-dev [linux-any],
                libjpeg-dev,
+               libkpipewire-dev (>= 5.27.0~),
                libkf5config-dev (>= 5.91.0~),
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5crash-dev (>= 5.91.0~),
@@ -19,14 +22,15 @@
                libkf5i18n-dev (>= 5.91.0~),
                libkf5notifications-dev (>= 5.91.0~),
                libkf5wallet-dev (>= 5.91.0~),
-               libkf5wayland-dev (>= 4:5.91.0~),
+               libkf5wayland-dev (>= 4:5.91.0~) [linux-any],
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
                libpipewire-0.3-dev [linux-any],
                libqt5x11extras5-dev (>= 5.15.2~),
+               libqt5waylandclient5-dev [linux-any],
                libvncserver-dev,
-               libwayland-dev,
+               libwayland-dev [linux-any],
                libx11-dev,
                libxcb-damage0-dev,
                libxcb-image0-dev,
@@ -38,10 +42,10 @@
                libxdamage-dev,
                libxtst-dev,
                pkg-config,
-               pkg-kde-tools,
-               plasma-wayland-protocols (>= 1.5.0),
+               plasma-wayland-protocols (>= 1.5.0) [linux-any],
                qtbase5-dev (>= 5.15.2~),
-               qtwayland5-dev-tools,
+               qtbase5-private-dev,
+               qtwayland5-dev-tools [linux-any],
 Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/krfb
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krfb

## krfb 23.08.4

=== debian/changelog ===
krfb (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:52 +0000

krfb (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:40:03 +0000

krfb (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:51 +0100

## krfb 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})

=== krfb/CMakeLists.txt ===
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config-krfb.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config-krfb.h
)

include(GenerateExportHeader)

#####################################
# First target: libkrfbprivate - a library
# for linking plugins against.

set (krfbprivate_SRCS
     framebuffer.cpp
     framebufferplugin.cpp
     events.cpp
     eventsplugin.cpp
)

add_library (krfbprivate
                  SHARED
                  ${krfbprivate_SRCS}
)
generate_export_header(krfbprivate BASE_NAME krfbprivate)


target_link_libraries (krfbprivate
                       Qt5::Core
                       Qt5::Widgets
                       Qt5::X11Extras
                       ${X11_X11_LIB}
                       ${LIBVNCSERVER_LIBRARIES}
)

set_target_properties (krfbprivate PROPERTIES
                       VERSION 5
                       SOVERSION 5.0
)

install (TARGETS krfbprivate
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
         LIBRARY NAMELINK_SKIP
)

#####################################
# Second target: krfb - the app
# itself.

set (krfb_SRCS
     connectiondialog.cpp
     framebuffermanager.cpp
     events.cpp
     eventsmanager.cpp
     main.cpp
     mainwindow.cpp
     sockethelpers.cpp
     trayicon.cpp
     rfbservermanager.cpp
     rfbserver.cpp
     rfbclient.cpp
     invitationsrfbserver.cpp
     invitationsrfbclient.cpp
)

ecm_qt_declare_logging_category(krfb_SRCS
    HEADER krfbdebug.h
    IDENTIFIER KRFB
    CATEGORY_NAME krfb.krfb
    DESCRIPTION "KRFB Application"
    EXPORT KRFB
)

kconfig_add_kcfg_files (krfb_SRCS
                     krfbconfig.kcfgc
)

ki18n_wrap_ui (krfb_UI_SRCS
                   ui/configtcp.ui
                   ui/configsecurity.ui
                   ui/configframebuffer.ui
                   ui/connectionwidget.ui
                   ui/mainwidget.ui
)

qt5_add_resources(krfb_SRCS
    krfb.qrc
)

add_executable (krfb
                     ${krfb_SRCS}
                     ${krfb_UI_SRCS}
)

target_link_libraries (krfb
                       krfbprivate
                       ${JPEG_LIBRARIES}
                       ${X11_Xext_LIB}
                       ${X11_X11_LIB}
                       ${X11_Xdamage_LIB}
                       Qt5::Network
                       KF5::CoreAddons
                       KF5::DBusAddons
                       KF5::DNSSD
                       KF5::I18n
                       KF5::Notifications
                       KF5::Wallet
                       KF5::WidgetsAddons
                       KF5::WindowSystem
                       KF5::XmlGui
                       ${LIBVNCSERVER_LIBRARIES}
)

if (X11_XTest_FOUND)
    target_link_libraries (krfb
                           ${X11_XTest_LIB}
    )
endif (X11_XTest_FOUND)

install (TARGETS krfb
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

#################################
kconfig_add_kcfg_files (krfbvm_SRCS
                     krfbconfig.kcfgc
)

ecm_qt_declare_logging_category(krfbvm_SRCS
    HEADER krfbdebug.h
    IDENTIFIER KRFB
    CATEGORY_NAME krfb.krfb
    DESCRIPTION "KRFB Application"
    EXPORT KRFB
)

add_executable(krfb-virtualmonitor main-virtualmonitor.cpp ${krfbvm_SRCS} ${krfb_UI_SRCS}
                                   rfbserver.cpp rfbclient.cpp rfbservermanager.cpp eventsmanager.cpp framebuffermanager.cpp sockethelpers.cpp)
target_link_libraries(krfb-virtualmonitor
                      krfbprivate
                      Qt5::Gui
                      Qt5::Network
                      KF5::ConfigGui
                      KF5::CoreAddons
                      KF5::I18n
                      KF5::Notifications
                      KF5::WindowSystem
)

install (TARGETS krfb-virtualmonitor
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

configure_file(org.kde.krfb.virtualmonitor.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krfb.virtualmonitor.desktop @ONLY)
install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krfb.virtualmonitor.desktop
         DESTINATION ${KDE_INSTALL_APPDIR}
)

########### install files ###############

install (PROGRAMS org.kde.krfb.desktop
         DESTINATION ${KDE_INSTALL_APPDIR}
)

install(FILES org.kde.krfb.appdata.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR}
)

install (FILES krfb.notifyrc
         DESTINATION ${KDE_INSTALL_DATADIR}/krfb
)

=== framebuffers/pipewire/CMakeLists.txt ===
--- 
+++ 
@@ -48,15 +48,9 @@
                       KF5::WaylandClient
                       Wayland::Client
                       krfbprivate
-                      PkgConfig::PipeWire
+                      K::KPipeWire
+                      K::KPipeWireDmaBuf
 )
-
-if (HAVE_DMA_BUF)
-    target_link_libraries(krfb_framebuffer_pw
-                          ${epoxy_LIBRARIES}
-                          gbm::gbm
-    )
-endif()
 
 set_target_properties(krfb_framebuffer_pw PROPERTIES OUTPUT_NAME pw)
 install (TARGETS krfb_framebuffer_pw

=== debian/changelog ===
krfb (4:23.08.5-0ubuntu4) oracular; urgency=medium

  * Build without optional pipewire until KF6.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Aug 2024 11:05:52 +0100

krfb (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:48:17 +1100

krfb (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:17:22 +0000

krfb (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:15:20 -0700

=== debian/control ===
Source: krfb
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libepoxy-dev,
               libgbm-dev,
               libjpeg-dev,
               libkf5config-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5crash-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5dnssd-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5notifications-dev (>= 5.91.0~),
               libkf5wallet-dev (>= 5.91.0~),
               libkf5wayland-dev (>= 4:5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libqt5waylandclient5-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libvncserver-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxdamage-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               plasma-wayland-protocols (>= 1.5.0),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtwayland5-dev-tools,
Standards-Version: 4.6.1
Homepage: https://apps.kde.org/en/krfb
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
Rules-Requires-Root: no

Package: krfb
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, krdc
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -- -DDISABLE_PIPEWIRE=ON

## krfb 24.08.2

=== debian/changelog ===
krfb (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:58:50 -0500

krfb (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Nov 2024 02:03:59 -0500

## krfb 24.12.0

=== debian/changelog ===
krfb (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:21:11 +0100

krfb (4:24.08.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Switch to kf6 debhelper build sequence, remove unneeded debian/rules
    arguments.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 00:23:26 +0100

=== debian/control ===
Source: krfb
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               kwayland-dev (>= 4:6.2.0~) [linux-any],
               libegl-dev,
               libepoxy-dev,
               libgbm-dev [linux-any],
               libjpeg-dev,
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6crash-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6dnssd-dev (>= 6.2.0~),
               libkf6doctools-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6statusnotifieritem-dev (>= 6.2.0~),
               libkf6wallet-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libkf6xmlgui-dev (>= 6.2.0~),
               libkpipewire-dev (>= 6.2.0~),
               libpipewire-0.3-dev [linux-any],
               libvncserver-dev,
               libwayland-dev [linux-any],
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxdamage-dev,
               libxtst-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.5.0) [linux-any],
               qt6-base-dev (>= 6.5.0~),
               qt6-base-private-dev (>= 6.3.0~),
               qt6-wayland-dev (>= 6.3.0~) [linux-any],
               qt6-wayland-dev-tools (>= 6.3.0~) [linux-any],
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/krfb
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krfb
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krfb.git
Rules-Requires-Root: no

Package: krfb
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: khelpcenter, krdc,
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

## krfb 24.12.1

=== debian/changelog ===
krfb (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:36:50 +0000

krfb (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:18:01 +0000

krfb (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:23:50 -0600

krfb (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:12:43 +0000

krfb (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 15:12:43 +0000

krfb (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:44:52 +0000

## krfb 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "23")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "5")
+set (RELEASE_SERVICE_VERSION_MAJOR "24")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION 5.15.2)
-set(KF5_MIN_VERSION 5.91.0)
+set(QT_MIN_VERSION 6.5.0)
+set(KF6_MIN_VERSION 6.2.0)
 
-find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
+find_package(ECM ${KF6_MIN_VERSION} NO_MODULE REQUIRED)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -27,13 +27,12 @@
 
 check_include_file("linux/input.h" HAVE_LINUX_INPUT_H)
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets X11Extras)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets)
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     I18n
     Config
     CoreAddons
-    Crash
     DBusAddons
     DNSSD
     DocTools
@@ -42,6 +41,8 @@
     WidgetsAddons
     WindowSystem
     XmlGui
+    StatusNotifierItem
+    Crash
 )
 
 find_package(X11 REQUIRED)
@@ -62,8 +63,8 @@
 endif(WIN32)
 
 ecm_set_disabled_deprecation_versions(
-    QT 5.15.2
-    KF 5.91
+    QT 6.7.0
+    KF 6.5.0
 )
 
 include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )
@@ -73,16 +74,17 @@
 
 option(DISABLE_PIPEWIRE "Disable PipeWire support." OFF)
 if(NOT DISABLE_PIPEWIRE)
-    find_package(KPipeWire REQUIRED)
+    find_package(KPipeWire CONFIG REQUIRED)
+    pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3)
+    add_feature_info(PipeWire PipeWire_FOUND "Required for pipewire screencast plugin")
 endif()
-add_feature_info(PipeWire KPipeWire_FOUND "Required for pipewire screencast plugin")
+
 find_package(PlasmaWaylandProtocols 1.5.0)
 
-if(KPipeWire_FOUND AND PlasmaWaylandProtocols_FOUND)
-    find_package(KF5Wayland ${KF5_MIN_VERSION})
+if(KPipeWire_FOUND AND PipeWire_FOUND AND PlasmaWaylandProtocols_FOUND)
+    find_package(KWayland REQUIRED)
     find_package(QtWaylandScanner REQUIRED)
-    find_package(Qt5WaylandClient)
-    find_package(Qt5XkbCommonSupport)
+    find_package(Qt6WaylandClient)
     find_package(Wayland REQUIRED COMPONENTS Client)
 endif()

=== krfb/CMakeLists.txt ===
--- 
+++ 
@@ -23,9 +23,9 @@
 
 
 target_link_libraries (krfbprivate
-                       Qt5::Core
-                       Qt5::Widgets
-                       Qt5::X11Extras
+                       Qt::Core
+                       Qt::Widgets
+                       Qt::GuiPrivate
                        ${X11_X11_LIB}
                        ${LIBVNCSERVER_LIBRARIES}
 )
@@ -80,7 +80,7 @@
                    ui/mainwidget.ui
 )
 
-qt5_add_resources(krfb_SRCS
+qt_add_resources(krfb_SRCS
     krfb.qrc
 )
 
@@ -95,16 +95,18 @@
                        ${X11_Xext_LIB}
                        ${X11_X11_LIB}
                        ${X11_Xdamage_LIB}
-                       Qt5::Network
-                       KF5::CoreAddons
-                       KF5::DBusAddons
-                       KF5::DNSSD
-                       KF5::I18n
-                       KF5::Notifications
-                       KF5::Wallet
-                       KF5::WidgetsAddons
-                       KF5::WindowSystem
-                       KF5::XmlGui
+                       Qt::Network
+                       KF6::CoreAddons
+                       KF6::DBusAddons
+                       KF6::DNSSD
+                       KF6::I18n
+                       KF6::Notifications
+                       KF6::Wallet
+                       KF6::WidgetsAddons
+                       KF6::WindowSystem
+                       KF6::XmlGui
+                       KF6::StatusNotifierItem
+                       KF6::Crash
                        ${LIBVNCSERVER_LIBRARIES}
 )
 
@@ -135,13 +137,14 @@
                                    rfbserver.cpp rfbclient.cpp rfbservermanager.cpp eventsmanager.cpp framebuffermanager.cpp sockethelpers.cpp)
 target_link_libraries(krfb-virtualmonitor
                       krfbprivate
-                      Qt5::Gui
-                      Qt5::Network
-                      KF5::ConfigGui
-                      KF5::CoreAddons
-                      KF5::I18n
-                      KF5::Notifications
-                      KF5::WindowSystem
+                      Qt::Gui
+                      Qt::Network
+                      KF6::ConfigGui
+                      KF6::CoreAddons
+                      KF6::I18n
+                      KF6::Notifications
+                      KF6::WindowSystem
+                      KF6::Crash
 )
 
 install (TARGETS krfb-virtualmonitor

=== debian/changelog ===
krfb (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:07 -0500

krfb (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:46:55 +0000

krfb (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:08:01 +0000

krfb (4:24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 03:43:33 -0600

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: krfb
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-kf6,
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
+               dh-sequence-kf5,
                extra-cmake-modules (>= 6.2.0~),
                gettext,
                kwayland-dev (>= 4:6.2.0~) [linux-any],
@@ -42,14 +43,14 @@
                libxtst-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.5.0) [linux-any],
-               qt6-base-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.3.0~),
                qt6-base-private-dev (>= 6.3.0~),
                qt6-wayland-dev (>= 6.3.0~) [linux-any],
                qt6-wayland-dev-tools (>= 6.3.0~) [linux-any],
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/krfb
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krfb
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krfb.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
 Rules-Requires-Root: no
 
 Package: krfb

## krfb 25.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})
@@ -28,7 +28,9 @@
 check_include_file("linux/input.h" HAVE_LINUX_INPUT_H)
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets)
-
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     I18n
     Config

=== debian/changelog ===
krfb (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Fix incorrect cursor position under display scaling. (kde#466276)
  * New upstream release (25.04.2).
    - Translation fixes.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 22:43:44 +0200

krfb (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: krfb
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
-               dh-sequence-kf5,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.2.0~),
                gettext,
                kwayland-dev (>= 4:6.2.0~) [linux-any],
@@ -43,14 +42,14 @@
                libxtst-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.5.0) [linux-any],
-               qt6-base-dev (>= 6.3.0~),
+               qt6-base-dev (>= 6.5.0~),
                qt6-base-private-dev (>= 6.3.0~),
                qt6-wayland-dev (>= 6.3.0~) [linux-any],
                qt6-wayland-dev-tools (>= 6.3.0~) [linux-any],
-Standards-Version: 4.7.0
-Homepage: https://apps.kde.org/en/krfb
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
+Standards-Version: 4.7.2
+Homepage: https://apps.kde.org/krfb/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krfb
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krfb.git
 Rules-Requires-Root: no
 
 Package: krfb

## krfb 25.07.90

=== debian/changelog ===
krfb (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:55:08 +0100

krfb (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:19:33 +0100

krfb (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:51:11 +0100
